Bug 324041 - [RHEL5] gnomekeyring segfaults on find_items_sync
[RHEL5] gnomekeyring segfaults on find_items_sync
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gnome-python2-desktop (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
desktop-bugs@redhat.com
: EasyFix, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-08 20:13 EDT by David Robinson
Modified: 2013-04-12 15:23 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0078
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 10:04:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upstream patch (444 bytes, patch)
2007-10-08 20:13 EDT, David Robinson
no flags Details | Diff

  None (edit)
Description David Robinson 2007-10-08 20:13:21 EDT
Description of problem:
The python bindings for gnomekeyring do not work correctly. find_items_sync
causes a segmentation fault. find_items_sync is essential - the
gnome-python2-gnomekeyring package is practically useless as is.

Version-Release number of selected component (if applicable):
$ rpm -q python
python-2.4.3-19.el5.x86_64
$ rpm -qf /usr/lib64/python2.4/site-packages/gtk-2.0/gnomekeyring.so
gnome-python2-gnomekeyring-2.16.0-1.fc6.x86_64

How reproducible:
100%

Steps to Reproduce & Actual results:
$ python
Python 2.4.3 (#1, Dec 11 2006, 11:39:03) 
[GCC 4.1.1 20061130 (Red Hat 4.1.1-43)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import gnomekeyring
>>> print gnomekeyring.find_items_sync(gnomekeyring.ITEM_NETWORK_PASSWORD,
{"user": "blah"})
Segmentation fault (core dumped)

Expected results:
$ python
Python 2.4.3 (#1, Dec 11 2006, 11:39:03) 
[GCC 4.1.1 20061130 (Red Hat 4.1.1-43)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import gnomekeyring
>>> print gnomekeyring.find_items_sync(gnomekeyring.ITEM_NETWORK_PASSWORD,
>>> {"user": "blah"})

** (process:10182): WARNING **: g_set_application_name not set.
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
gnomekeyring.NoKeyringDaemonError

Additional info:
upstream bug - http://bugzilla.gnome.org/show_bug.cgi?id=416240
upstream patch - http://bugzilla.gnome.org/attachment.cgi?id=84337&action=view
Comment 1 David Robinson 2007-10-08 20:13:21 EDT
Created attachment 220361 [details]
upstream patch
Comment 6 Matthew Barnes 2007-12-11 13:29:38 EST
Fixed in gnome-python2-desktop-2.16.0-2.el5.
Comment 10 errata-xmlrpc 2008-01-30 10:04:17 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0078.html

Note You need to log in before you can comment on or make changes to this bug.